> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/ad-platforms/ingest-labs-url-tracking-parameters.md).

# Ingest Labs URL Tracking Parameters

### Google Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **Facebook Ads** console, at the Ad level.

```
il_adp=google&il_cid={campaignid}&il_asid={adgroupid}&il_adid={creative}
```

### Facebook Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **Facebook Ads** console, at the Ad level.

```
il_adp=fb&il_cid={{campaign.id}}&il_asid={{adset.id}}&il_adid={{ad.id}}&il_crid={{creative.id}}
```

### Tik Tok Ads Tracking Template

Ingest Labs uses a few custom tracking parameters to drive the link between Ad Logs and real-time transactions to provide accurate reporting. Please follow below instructions to add Ingest Labs URL tracking parameters in the **TikTok Ads** console, at the Ad level.

For upgraded Smart+:

```
il_adp=fb&il_cid=__CAMPAIGN_ID__&il_asid=__AID__&il_adid=__CID__&il_crid=__CID__
```

For traditional TikTok:

```
il_adp=fb&il_cid=__CAMPAIGN_ID__&il_asid=__AID__&il_adid=__ADID_V2__&il_crid=__CID__
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ingestlabs.com/ad-platforms/ingest-labs-url-tracking-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
